"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postDismissAlert = exports.mobileDismissAlert = exports.postAcceptAlert = exports.mobileAcceptAlert = exports.getAlertText = void 0;
/**
 * @this {AndroidUiautomator2Driver}
 * @returns {Promise<string>}
 */
async function getAlertText() {
    return String(await this.uiautomator2.jwproxy.command('/alert/text', 'GET', {}));
}
exports.getAlertText = getAlertText;
/**
 * @this {AndroidUiautomator2Driver}
 * @param {import('./types').AcceptAlertOptions} [opts={}]
 * @returns {Promise<void>}
 */
async function mobileAcceptAlert(opts = {}) {
    await this.uiautomator2.jwproxy.command('/alert/accept', 'POST', opts);
}
exports.mobileAcceptAlert = mobileAcceptAlert;
/**
 * @this {AndroidUiautomator2Driver}
 * @returns {Promise<void>}
 */
async function postAcceptAlert() {
    await this.mobileAcceptAlert();
}
exports.postAcceptAlert = postAcceptAlert;
/**
 * @this {AndroidUiautomator2Driver}
 * @param {import('./types').DismissAlertOptions} [opts={}]
 * @returns {Promise<void>}
 */
async function mobileDismissAlert(opts = {}) {
    await this.uiautomator2.jwproxy.command('/alert/dismiss', 'POST', opts);
}
exports.mobileDismissAlert = mobileDismissAlert;
/**
 * @this {AndroidUiautomator2Driver}
 * @returns {Promise<void>}
 */
async function postDismissAlert() {
    await this.mobileDismissAlert();
}
exports.postDismissAlert = postDismissAlert;
/**
 * @typedef {import('../driver').AndroidUiautomator2Driver} AndroidUiautomator2Driver
 */
//# sourceMappingURL=alert.js.map